> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/guides/tools/annotation-default-properties.md).

# Setting default annotation properties in Xamarin viewer

Learn how to set default properties for annotations in Xamarin.iOS. Discover how to customize stroke color, fill color, opacity, and more. Optimize your app with PTColorDefaults. The Apryse Xamarin SD

{% hint style="info" %}
**This tutorial only applies to Xamarin.iOS. See Xamarin.Android equivalent here .**
{% endhint %}

When creating a new annotation, the initial properties (such as line thickness, fill colour, opacity, etc.) are set to the last value that the user selected for an annotation of that type. For example, if the user changes an ellipse annotation's stroke color from green to red, the next ellipse annotation that the user creates would have a stroke color of red. These default colors are saved in the app's [user default dictionary](https://developer.apple.com/foundation/userdefaults/1416603-standard/).

The tools read and write values via the `Tools package`[`PTColorDefaults`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTColorDefaults.html) type (class) interface.

### Examples

Sets the default stroke color for rectangle annotations.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
ColorDefaults.SetDefaultColor(UIColor.Green, PTAnnotType.e_ptSquare, "Color", ColorPostProcessMode.e_postprocess_none);
```

{% endcode %}
{% endtab %}
{% endtabs %}

Available properties:

| Property name    | Key               |
| ---------------- | ----------------- |
| Stroke color     | "Color"           |
| Fill color       | "FillColor"       |
| Opacity          | "Opacity"         |
| Border thickness | "BorderThickness" |
| Free text size   | "FreeTextSize"    |

Reads the default fill color for ellipse annotations.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
var fillColor = PTColorDefaults.GetDefaultColorForAnnotType(PTAnnotType.e_ptCircle, "FillColor", ColorPostProcessMode.e_postprocess_none);
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/guides/tools/annotation-default-properties.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
